package com.ruoyi.processdata.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业线版本统计对象 pd_profession_statistical
 * 
 * @author voluntarydata
 * @date 2023-05-18
 */
public class PdProfessionStatistical extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 省份 */
    @Excel(name = "省份")
    private String location;

    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 专业线总数量 */
    @Excel(name = "专业线总数量")
    private Long totalCount;

    /** 总招生院校 */
    @Excel(name = "总招生院校")
    private Long totalUniversityCount;

    /** 包含未出分数院校数量 */
    @Excel(name = "包含未出分数院校数量")
    private Long total0UniversityCount;

    /** 本科未出分数量 */
    @Excel(name = "本科未出分数量")
    private Long total0ZhuanCount;

    /** 专科未出分数量 */
    @Excel(name = "专科未出分数量")
    private Long total0BenCount;

    /** 未出分数记录数量 */
    @Excel(name = "未出分数记录数量")
    private Long total0Count;

    /** 版本 */
    @Excel(name = "版本")
    private String version;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setYear(Long year) 
    {
        this.year = year;
    }

    public Long getYear() 
    {
        return year;
    }
    public void setTotalCount(Long totalCount) 
    {
        this.totalCount = totalCount;
    }

    public Long getTotalCount() 
    {
        return totalCount;
    }
    public void setTotalUniversityCount(Long totalUniversityCount) 
    {
        this.totalUniversityCount = totalUniversityCount;
    }

    public Long getTotalUniversityCount() 
    {
        return totalUniversityCount;
    }
    public void setTotal0UniversityCount(Long total0UniversityCount) 
    {
        this.total0UniversityCount = total0UniversityCount;
    }

    public Long getTotal0UniversityCount() 
    {
        return total0UniversityCount;
    }
    public void setTotal0ZhuanCount(Long total0ZhuanCount) 
    {
        this.total0ZhuanCount = total0ZhuanCount;
    }

    public Long getTotal0ZhuanCount() 
    {
        return total0ZhuanCount;
    }
    public void setTotal0BenCount(Long total0BenCount) 
    {
        this.total0BenCount = total0BenCount;
    }

    public Long getTotal0BenCount() 
    {
        return total0BenCount;
    }
    public void setTotal0Count(Long total0Count) 
    {
        this.total0Count = total0Count;
    }

    public Long getTotal0Count() 
    {
        return total0Count;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("location", getLocation())
            .append("year", getYear())
            .append("totalCount", getTotalCount())
            .append("totalUniversityCount", getTotalUniversityCount())
            .append("total0UniversityCount", getTotal0UniversityCount())
            .append("total0ZhuanCount", getTotal0ZhuanCount())
            .append("total0BenCount", getTotal0BenCount())
            .append("total0Count", getTotal0Count())
            .append("version", getVersion())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
